
// **********************************
// **********************************
// *********    LABEL    ************
// **********************************
// **********************************


#define SUCCESS 	0

#define PORT_OPEN_ERROR				-99
#define NO_CONNECTED_PRINTER		-100
#define NO_BIXOLON_PRINTER			-101
#define FAIL_SEND_DATA				-102
#define DISCONNECTED_PRINTER		-103
#define PORT_SET_ERROR				-104
#define WRITE_ERROR					-105
#define READ_ERROR					-106
#define BT_SDPCONNECT_ERROR			-107
#define BT_SDPSEARCH_ERROR			-108
#define BT_SOCKET_ERROR				-109
#define BT_BIND_ERROR				-110
#define BT_CONNECT_ERROR			-111
#define INVALID_IPADDRESS			-112
#define FAIL_CREATE_SOCKET			-113
#define FAIL_MEM_ALLOC				-114
#define WRONG_BARCODE_TYPE			-115
#define WRONG_BC_DATA_ERROR			-116
#define BAD_ARGUMENT				-117
#define IMAGE_OPEN_ERROR			-118
#define BAD_FILE					-119
#define MEM_ALLOC_ERROR				-120
#define NV_NO_KEY					-121
#define WRONG_RESPONSE				-122
#define FAIL_CREATE_THREAD			-123
#define NOT_SUPPORT					-124
#define FAIL_FIND_SENTINEL			-125
#define SCR_RESPONSE_ERROR			-126

// Speed
#define SPEED_25		0
#define SPEED_30		1
#define SPEED_40		2
#define SPEED_50		3
#define SPEED_60		4
#define SPEED_70		5
#define SPEED_80		6

// Direction
#define TOP_TO_BOTTOM	84
#define BOTTOM_TO_TOP	66

#define LEFT_TO_RIGHT	0
#define RIGHT_TO_LEFT	1

// Media type
#define MEDIA_GAP			0
#define MEDIA_CONTINUOUS	1
#define MEDIA_BLACKMARK		2

// Printing type
#define PRINTING_DIRECT		0
#define PRINTING_TRANSFER	1

// Rotation
#define ROTATE_0		0
#define ROTATE_90		1
#define ROTATE_180		2
#define ROTATE_270		3

// Alignment
#define ALIGNMENT_LEFT		0
#define ALIGNMENT_CENTER	1
#define ALIGNMENT_RIGHT		2

// Device Font
#define DEVICE_ENG_9X15			0
#define DEVICE_ENG_12X20		1
#define DEVICE_ENG_16X25		2
#define DEVICE_ENG_19X30		3
#define DEVICE_ENG_24X38		4
#define DEVICE_ENG_32X50		5
#define DEVICE_ENG_48X76		6
#define DEVICE_ENG_22X34		7
#define DEVICE_ENG_28X44		8
#define DEVICE_ENG_37X58		9

#define DEVICE_KOR_16X16		0x61
#define DEVICE_KOR_24X24		0x62
#define DEVICE_KOR_20X20		0x63
#define DEVICE_KOR_26X26		0x64
#define DEVICE_KOR_20X26		0x65
#define DEVICE_KOR_38X38		0x66

#define DEVICE_CHN_GB2312		0x6d
#define DEVICE_CHN_BIG5			0x6e

// Vector Font
#define VECTOR_ASCII			0
#define VECTOR_KS5601			1
#define VECTOR_BIG5				2
#define VECTOR_GB2312			3
#define VECTOR_JIS				4
#define VECTOR_OCRA				5
#define VECTOR_OCRB				6

// 1D Barcode
#define BAR_CODE39			0
#define BAR_CODE128			1
#define BAR_I2OF5			2
#define BAR_CODABAR			3
#define BAR_CODE93			4
#define BAR_UPCA			5
#define BAR_UPCE			6
#define BAR_EAN13			7
#define BAR_EAN8			8
#define BAR_EAN128			9
#define BAR_CODE11			10
#define BAR_PLANET			11
#define BAR_INDUSTRIAL2OF5	12
#define BAR_STANDARD2OF5	13
#define BAR_LOGMARS			14
#define BAR_EXTENSION		15
#define BAR_POSTNET			16

// 2D Barcode
// MAXICODE
#define MAXICODE_MODE0		0
#define MAXICODE_MODE2		2
#define MAXICODE_MODE3		3
#define MAXICODE_MODE4		4

// PDF417
#define PDF417_ECL0			0
#define PDF417_ECL1			1
#define PDF417_ECL2			2
#define PDF417_ECL3			3
#define PDF417_ECL4			4
#define PDF417_ECL5			5	
#define PDF417_ECL6			6
#define PDF417_ECL7			7
#define PDF417_ECL8			8

#define PDF417_COMP_TEXT		0
#define PDF417_COMP_NUM			1
#define PDF417_COMP_BINARY		2

// QR Code ECC Level
#define QRCODE_ECC7		0
#define QRCODE_ECC15	1
#define QRCODE_ECC25	2
#define QRCODE_ECC30	3

// CODABALOCK
#define CODABLOCK_A		0
#define CODABLOCK_E		1
#define CODABLOCK_F		2

// GS1 Databar
#define GS1DATABAR				0
#define GS1DATABAR_TRUNCATED	1
#define GS1DATABAR_STACKED		2
#define GS1DATABAR_STACKED_OMNIDIRECTIONAL	3
#define GS1DATABAR_LIMITED		4
#define GS1DATABAR_EXPANDED		5

// International Character set
#define ICS_USA			0
#define ICS_FRANCE		1
#define ICS_GERMANY		2
#define ICS_UK			3
#define ICS_DENMARK1	4
#define ICS_SWEDEN		5	
#define ICS_ITALY		6
#define ICS_SPAIN_I		7
#define ICS_NORWAY		8
#define ICS_DENMARK_II	9
#define ICS_JAPAN		10
#define ICS_SPAIN_II	11
#define ICS_LATIN		12
#define ICS_KOREA		13
#define ICS_SLOVENIA	14
#define ICS_CHINA		15

// character set
#define CS_CP437		0
#define CS_CP850		1
#define CS_CP852		2
#define CS_CP860		3
#define CS_CP863		4
#define CS_CP865		5
#define CS_WCP1252		6
#define CS_CP865_WCP1252	7
#define CS_CP857		8
#define CS_CP737		9
#define CS_WCP1250		10
#define CS_WCP1253		11
#define CS_WCP1254		12	
#define CS_CP855		13
#define CS_CP862		14
#define CS_CP866		15
#define CS_WCP1251		16
#define CS_WCP1255		17
#define CS_CP928		18
#define CS_CP864		19
#define CS_CP775		20
#define CS_WCP1257		21
#define CS_CP858		22

// Code Page
#define CP_EUCKR		0	// Korean
#define CP_CP949		1	// Korean
#define CP_EUCCN		2	// Chinese
#define CP_GB18030		3	// Chinese
#define CP_BIG5			4	// Chinese
#define CP_CP950		5	// Chinese
#define CP_EUCJP		6	// Japanese
#define CP_CP932		7 	// Japanese
#define CP_CP874		8 	// Thai

// Draw Block
#define BLOCK_OVERWRITE		0
#define BLOCK_EXCLUSIVEOR	1
#define BLOCK_DELETE		2
#define BLOCK_SLOPE			3
#define BLOCK_BOX			4

// Status
#define STS_NORMAL			0
#define STS_RIBONEND		4
#define STS_GAPERROR		8
#define STS_TPHOVERHEAT		16
#define STS_CUTTERJAM		32
#define STS_COVEROPEN		64
#define STS_PAPEREMPTY		128
